Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 814 - Linux conf requires a higher bit depth than standard VGA to run
Summary: Linux conf requires a higher bit depth than standard VGA to run
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: linuxconf
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-13 04:55 UTC by mfranz
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-10 02:50:25 UTC


Attachments (Terms of Use)

Description mfranz 1999-01-13 04:55:46 UTC
I was shocked to find out that linuxconf would not run with
a generic VGA driver (16 color VGA) for X installed. If
Linux is to get easier to use, all the utils should work at
any bit depth from within X.

I was running on an AMD K6-350
3Dfx Banshee 16MB running generic VGA X drivers
clean install - No other programs other than "server" Linux
installed.

Comment 1 David Lawrence 1999-01-19 21:38:59 UTC
I have been able to replicate this problem in the test lab. Linuxconf
when run from an xterm, complains by saying:

remadmin (GUI frontend) exiting abnormally

Also, the usermode utilities such usermount, userinfo, and userpasswd
will not work correctly in 4 bit color. The complain:

** ERROR **: unable to find a usable color depth
Aborted (core dumped)

Since these all rely on gtk then it is possible gtk is causing the
problem in low color situations.

Comment 2 Michael K. Johnson 1999-02-10 18:36:59 UTC
There are no intrinsic limitations in the gnome-linuxconf front
end for 16-bit color, so this must be a Gtk (or slightly possibly
GNOME) limitation.  This may have been improved with recent
development versions of Gtk.

This bug has been reassigned to QA for testing with latest
development Gtk/GNOME.

Comment 3 Michael K. Johnson 1999-04-10 02:50:59 UTC
I have verified that this is fixed with the latest Gtk and GNOME.
We can't back-port this to 5.2 as an errata item, but as a
workaround, you can run gnome-linuxconf in terminal mode with either
linuxconf --text
or
DISPLAY= linuxconf
(note, the space after the = is important)


Note You need to log in before you can comment on or make changes to this bug.